## grails.converters
Class XML.Builder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              grails.converters.XML.Builder

All Implemented Interfaces:
  groovy.lang.GroovyObject

Enclosing class:
  XML

    public class XML.Builder

extends groovy.util.BuilderSupport

Constructor Summary
`XML.Builder(XML xml)`

Method Summary
`protected Object` `createNode(Object name)`
`protected Object` `createNode(Object name, Map attributes)`
`protected Object` `createNode(Object name, Map attributes, Object value)`
`protected Object` `createNode(Object name, Object value)`
`void` `execute(groovy.lang.Closure callable)`
`protected void` `nodeCompleted(Object o, Object o1)`
`protected void` `setParent(Object o, Object o1)`

Methods inherited from class groovy.util.BuilderSupport
`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XML.Builder

    public XML.Builder(XML xml)

Method Detail

### execute

    public void execute(groovy.lang.Closure callable)

### createNode

    protected Object createNode(Object name)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Object value)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributes)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### createNode

    protected Object createNode(Object name,
                                Map attributes,
                                Object value)

  Specified by:
    `createNode` in class `groovy.util.BuilderSupport`

### nodeCompleted

    protected void nodeCompleted(Object o,
                                 Object o1)

  Overrides:
    `nodeCompleted` in class `groovy.util.BuilderSupport`

### setParent

    protected void setParent(Object o,
                             Object o1)

  Specified by:
    `setParent` in class `groovy.util.BuilderSupport`

Copyright (c) 2005-2009 The Grails project